import '../entities/task.dart';
import '../repositories/tasks_repository.dart';

class GetTasks {
  final TasksRepository _repository;

  GetTasks(this._repository);

  Future<List<Task>> execute({String? status}) {
    return _repository.getTasks(status: status);
  }
}
